ChangeSet 1.1276.22.14, 2003/08/22 15:34:16-07:00, bellucda@tiscali.it

[PATCH] USB: PATCH 14/19 Audit usb_register/usb_serial_register under divers/usb/serial


 drivers/usb/serial/mct_u232.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/serial/mct_u232.c b/drivers/usb/serial/mct_u232.c
--- a/drivers/usb/serial/mct_u232.c	Tue Sep  2 12:47:25 2003
+++ b/drivers/usb/serial/mct_u232.c	Tue Sep  2 12:47:25 2003
@@ -850,10 +850,19 @@
 
 static int __init mct_u232_init (void)
 {
-	usb_serial_register (&mct_u232_device);
-	usb_register (&mct_u232_driver);
+	int retval;
+	retval = usb_serial_register(&mct_u232_device);
+	if (retval)
+		goto failed_usb_serial_register;
+	retval = usb_register(&mct_u232_driver);
+	if (retval)
+		goto failed_usb_register;
 	info(DRIVER_DESC " " DRIVER_VERSION);
 	return 0;
+failed_usb_register:
+	usb_serial_deregister(&mct_u232_device);
+failed_usb_serial_register:
+	return retval;
 }
 
 
